at.chipkarte.client.dmp.soap

## Class Betreuungsverhaeltnis

- Object
- - at.chipkarte.client.dmp.soap.Betreuungsverhaeltnis

-     public class Betreuungsverhaeltnis
      extends Object

  Enthält die Beziehung zwischen Vertragspartner und DMP Patient sowie den Status dieser Beziehung.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Betreuungsverhaeltnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAusschreibungSeit()` Datum, zu dem eine DMP Bindung vom DMP Backend ausgeschrieben wurde.
    `String` | `getBegruendung()` Text der den Grund des "Ausschreibens" festlegt.
    `String` | `getBetreuungsStatus()` Aktueller Status des Betreuungsverhältnisses.
    `String` | `getDmpCode()` Code des Disease Management Programms, für das ein Betreuungsverhältnis für den Patienten besteht.
    `String` | `getEingabeArt()` Code, der die Art der Eingabe beschreibt, mit dem das Betreuungsverhältnis angelegt wurde.
    `String` | `getEinschreibungSeit()` Datum, zu dem eine DMP Bindung vom DMP Backend eingeschrieben wurde.
    `String` | `getFachgebietsCode()` Code des Fachgebietes, für das ein Betreuungsverhältnis für den Patienten besteht.
    `SvPerson` | `getPatient()` Beschreibung des Patienten.
    `String` | `getSvtCode()` Code des Sozialversicherungsträgers, für den das Betreuungsverhältnis für den Patienten besteht.
    `String` | `getUntersuchungsdatum()` Untersuchungsdatum des zuletzt ausgefüllten DMP Blattes zu diesem Betreuungsverhältnis.
    `void` | `setAusschreibungSeit(String ausschreibungSeit)`
    `void` | `setBegruendung(String begruendung)`
    `void` | `setBetreuungsStatus(String betreuungsStatus)`
    `void` | `setDmpCode(String dmpCode)`
    `void` | `setEingabeArt(String eingabeArt)`
    `void` | `setEinschreibungSeit(String einschreibungSeit)`
    `void` | `setFachgebietsCode(String fachgebietsCode)`
    `void` | `setPatient(SvPerson patient)`
    `void` | `setSvtCode(String svtCode)`
    `void` | `setUntersuchungsdatum(String untersuchungsDatum)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Betreuungsverhaeltnis

          public Betreuungsverhaeltnis()

  - ### Method Detail

    - #### getBegruendung

          public String getBegruendung()

      Text der den Grund des "Ausschreibens" festlegt.
      Format: maximal 500-stellig.
      Returns:
        Begründung

    - #### getBetreuungsStatus

          public String getBetreuungsStatus()

      Aktueller Status des Betreuungsverhältnisses.
      Mögliche Werte siehe `Konstante BetreuungsStatus`.
      Format: maximal 3-stellig.
      Returns:
        Status des Betreuungsverhältnisses

    - #### getDmpCode

          public String getDmpCode()

      Code des Disease Management Programms, für das ein Betreuungsverhältnis für den Patienten besteht.
      Mögliche Werte siehe `Funktion getDMPs()`.
      Format: maximal 2-stellig.
      Returns:
        Code des Disease Management Programms

    - #### getFachgebietsCode

          public String getFachgebietsCode()

      Code des Fachgebietes, für das ein Betreuungsverhältnis für den Patienten besteht.
      Mögliche Werte siehe `Funktion getFachgebiete()`.
      Format: maximal 2-stellig.
      Returns:
        FachgebietsCode

    - #### getPatient

          public SvPerson getPatient()

      Beschreibung des Patienten.
      Returns:
        SvPerson

    - #### getSvtCode

          public String getSvtCode()

      Code des Sozialversicherungsträgers, für den das Betreuungsverhältnis für den Patienten besteht.
      Mögliche Werte siehe `Funktion getSVTs`.
      Format: maximal 2-stellig.
      Returns:
        Code des Sozialversicherungsträgers

    - #### getEinschreibungSeit

          public String getEinschreibungSeit()

      Datum, zu dem eine DMP Bindung vom DMP Backend eingeschrieben wurde.
      Versorgt, sobald der Betreuungsstatus auf "Ein" (siehe `BetreuungsStatus.EINGESCHRIEBEN`) gesetzt wird.
      Format: "TT.MM.JJJJ"
      Returns:
        Datum der Einschreibung

    - #### getAusschreibungSeit

          public String getAusschreibungSeit()

      Datum, zu dem eine DMP Bindung vom DMP Backend ausgeschrieben wurde.
      Versorgt, sobald der Betreuungsstatus auf "Aus" (siehe `BetreuungsStatus.AUSGESCHRIEBEN`) gesetzt wird.
      Format: "TT.MM.JJJJ"
      Returns:
        Datum der Ausschreibung

    - #### getUntersuchungsdatum

          public String getUntersuchungsdatum()

      Untersuchungsdatum des zuletzt ausgefüllten DMP Blattes zu diesem Betreuungsverhältnis.
      Format: "TT.MM.JJJJ"
      Returns:
        Untersuchungsdatum

    - #### getEingabeArt

          public String getEingabeArt()

      Code, der die Art der Eingabe beschreibt, mit dem das Betreuungsverhältnis angelegt wurde.
      Mögliche Werte siehe `Konstante EingabeArt`.
      Format: maximal 1-stellig.
      Returns:
        Eingabeart

    - #### setBegruendung

          public void setBegruendung(String begruendung)

    - #### setBetreuungsStatus

          public void setBetreuungsStatus(String betreuungsStatus)

    - #### setDmpCode

          public void setDmpCode(String dmpCode)

    - #### setFachgebietsCode

          public void setFachgebietsCode(String fachgebietsCode)

    - #### setPatient

          public void setPatient(SvPerson patient)

    - #### setSvtCode

          public void setSvtCode(String svtCode)

    - #### setEinschreibungSeit

          public void setEinschreibungSeit(String einschreibungSeit)

    - #### setAusschreibungSeit

          public void setAusschreibungSeit(String ausschreibungSeit)

    - #### setUntersuchungsdatum

          public void setUntersuchungsdatum(String untersuchungsDatum)

    - #### setEingabeArt

          public void setEingabeArt(String eingabeArt)